Get external wallets list
GET
https://bank.dattaremit.com/api/external_walletsRequires a bank-scoped key.
Retrieves a listing of external wallets. Records are sorted by creation date in descending order.
Required scope: external_wallets:read
Query Params
pageintegerThe page index to retrieve.
per_pageintegerThe number of entities per page to return.
ownerstringThe owner of the entity.
guidstringComma separated external_wallet_guids to list external_wallets for.
bank_guidstringComma separated bank_guids to list external_wallets for.
customer_guidstringComma separated customer_guids to list external_wallets for.
counterparty_guidstringComma separated counterparty_guids to list external_wallets for.
assetstringComma separated assets to list external_wallets for.
statestringComma separated states to list external_wallets for.
Responses
200Get list of external_wallets
400Invalid requests
401Unauthorized - Authentication failed
403Invalid scope
Request
curl https://api.dattaremit.com/api/external_wallets \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
Get list of external_wallets
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"guid": "string",
"name": "string",
"asset": "string",
"environment": "string",
"bank_guid": "string",
"customer_guid": "string",
"counterparty_guid": "string",
"address": "string",
"tag": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"state": "string",
"failure_code": "string"
}
]
}